Subject: Re: [PATCH net] net/sched: fix pedit partial COW leading to page cache corruption

From: Jakub Kicinski <[email-masked]>
Date: Fri, 22 May 2026 08:46:11 -0700

On Fri, 22 May 2026 07:47:32 -0400 Jamal Hadi Salim wrote:
> > > All these issues stem from the shared frags point, but the patchlet i
> > > showed is unrelated to SKBFL_SHARED_FRAG, it is more related to
> > > cloned+frags.  
> >
> > Right, right. Just pointing it out cause Rajat's patch adds another
> > skb_has_shared_frag(). Which we'll then have to delete in net-next :\
> 
> With a note that the exploits currently take advantage of that
> specific cache issue. How about we allow it for net now and then
> schedule a follow-up phase to remove it when you get rid of "shared
> frags"?

I must be missing something. What's the problem with changing the patch
to pull headers instead? I mean - if we agree that this is where we'll
end up - we should just do it now. It's the long standing kernel policy
to "fix things right" instead of creating temporary fixes which then
have to be reworked in -next